Skip to main content
GET
/
api
/
v3
/
brokerage
/
cfm
/
positions
List Futures Positions
curl --request GET \
  --url https://api.coinbase.com/api/v3/brokerage/cfm/positions \
  --header 'Authorization: Bearer <token>'
{
  "positions": [
    {
      "product_id": "<string>",
      "expiration_time": "<string>",
      "side": "UNKNOWN",
      "number_of_contracts": "<string>",
      "current_price": "<string>",
      "avg_entry_price": "<string>",
      "unrealized_pnl": "<string>",
      "daily_realized_pnl": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.

Response

A successful response.

positions
object[]